Loading...
Searching...
No Matches
opencc::BinaryDict Class Reference
OpenCC C++ Comprehensive API

Binary dictionary for faster deserialization. More...

`#include <BinaryDict.hpp>`

Inheritance diagram for opencc::BinaryDict:

## Public Member Functions

| BinaryDict (const LexiconPtr &_lexicon)
virtual void | SerializeToFile (FILE *fp) const
| Serializes the dictionary and writes in to a file.
const LexiconPtr & | GetLexicon () const
size_t | KeyMaxLength () const
Public Member Functions inherited from opencc::SerializableDict
virtual void | SerializeToFile (const std::string &fileName) const
| Serializes the dictionary and writes in to a file.

## Static Public Member Functions

static BinaryDictPtr | NewFromFile (FILE *fp)
Static Public Member Functions inherited from opencc::SerializableDict
template<typename DICT>
static bool | TryLoadFromFile (const std::string &fileName, std::shared_ptr< DICT > *dict)
template<typename DICT>
static std::shared_ptr< DICT > | NewFromFile (const std::string &fileName)

## Detailed Description

Binary dictionary for faster deserialization.

## Member Function Documentation

## SerializeToFile()

void BinaryDict::SerializeToFile | ( | FILE * | fp | ) | const

virtual

Serializes the dictionary and writes in to a file.

Implements opencc::SerializableDict.

The documentation for this class was generated from the following files:

- BinaryDict.hpp
- BinaryDict.cpp